View Issue Details

IDProjectCategoryView StatusLast Update
0004095Kali Linux[All Projects] Kali Package Bugpublic2017-11-17 09:19
ReportertmciolekAssigned Tosbrun 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2017.1 
Target VersionFixed in Version2017.3 
Summary0004095: Openvas 9 shceudled tasks fail to run
DescriptionOpenvas 9 as packaged in Kali-rolling appears to have a bug where the scheduled scan tasks in openvas9 fail to run

Scans can be run manually and works as expected

Output of the openvasmd.log is here: https://paste.ee/p/wFau9

This bug in snot present in openvas 9 packages in Ubuntu PPA
Steps To Reproduceinstall openvas9 packages
complete setup
update CVEs and NVTs
log into greenbone web gui
define a scan target
define a schedule
set up a scan task for the scan target with a schedule
watch the logs for failure/success

Activities

tmciolek

2017-07-11 17:05

reporter   ~0006892

As requested in the IRC chat, I have build a Debian testing based VM and installed openvas9.

Debian testing version appears to have the same issue, in that a scan can be run manually but a scheduled scan fail .

rhertzog

2017-07-11 19:23

administrator   ~0006893

That's expected, we have the exact same package in Debian and in Kali. But we have a newer version of openvas-manager compared to what's in the Ubuntu PPA and it might be a regression as the changelog of the last release mentions quite some changes to the code handling scheduled tasks.

Can you file a bug upstream and post here the URL of the ticket ?

tmciolek

2017-07-12 08:43

reporter   ~0006894

Debian bug #868123 opened for this issue

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=868123.

tmciolek

2017-07-12 09:04

reporter   ~0006895

bug filed with openvas team

https://wald.intevation.org/tracker/index.php?func=detail&aid=6928

tmciolek

2017-09-04 10:59

reporter   ~0007240

Openvas devs advise:

Date: 2017-09-04 10:00
Sender: Christian Fischer

There was a commit a few days ago which should fix this:

https://lists.wald.intevation.org/pipermail/openvas-commits/2017-August/029526.html

sbrun

2017-11-17 09:19

manager   ~0007607

the patch is included in the new version 7.0.2-1kali1 available in kali-rolling.

Issue History

Date Modified Username Field Change
2017-07-11 13:30 tmciolek New Issue
2017-07-11 13:38 rhertzog Assigned To => sbrun
2017-07-11 13:38 rhertzog Status new => assigned
2017-07-11 17:05 tmciolek Note Added: 0006892
2017-07-11 19:23 rhertzog Note Added: 0006893
2017-07-12 08:43 tmciolek Note Added: 0006894
2017-07-12 09:04 tmciolek Note Added: 0006895
2017-09-04 10:59 tmciolek Note Added: 0007240
2017-11-17 09:19 sbrun Status assigned => resolved
2017-11-17 09:19 sbrun Resolution open => fixed
2017-11-17 09:19 sbrun Fixed in Version => 2017.3
2017-11-17 09:19 sbrun Note Added: 0007607